export default class FakePropertyField extends React.Component<any, any, any> {
    static propTypes: {
        schema: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>>;
        formData: PropTypes.Validator<object>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        schema: any;
        uiSchema: any;
        formData: any;
    };
}
import * as React from "react";
import * as PropTypes from "prop-types";
